Webhook Subscriptions
Create Webhook Subscription
Create a new webhook subscription to notify your specified target URL about events happening within PassEntry.
POST
/
api
/
v1
/
webhook-subscriptions
Create Webhook Subscription
curl --request POST \
--url https://api.passentry.com/api/v1/webhook-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookSubscription": {
"url": "https://example.com/webhook",
"enabled": true,
"subscribedEvents": [
"passInstalled",
"passRemoved"
]
}
}
'import requests
url = "https://api.passentry.com/api/v1/webhook-subscriptions"
payload = { "webhookSubscription": {
"url": "https://example.com/webhook",
"enabled": True,
"subscribedEvents": ["passInstalled", "passRemoved"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhookSubscription: {
url: 'https://example.com/webhook',
enabled: true,
subscribedEvents: ['passInstalled', 'passRemoved']
}
})
};
fetch('https://api.passentry.com/api/v1/webhook-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01983282-53cf-7e16-b5e1-dd0de4ce02fa",
"type": "webhookSubscription",
"attributes": {
"url": "https://example.com/webhook",
"secretKey": "a2e2c04657b924390d2a2623439c65734d07e0f8",
"enabled": true,
"scopeType": "organisation",
"scopeName": "Test Organisation",
"subscribedEvents": [
"passInstalled",
"passRemoved"
]
}
}
}{
"errors": [
"<string>"
]
}{
"errors": [
"<string>"
]
}{
"errors": [
"<string>"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Webhook subscription request configuration
Show child attributes
Show child attributes
Response
Webhook subscription created successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Create Webhook Subscription
